% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data.R
\docType{data}
\name{cropyields_covariates}
\alias{cropyields_covariates}
\title{Data of the article "Probabilistic Crop Yields Forecasts With Spatio-Temporal Conditional Copula Using Extreme Weather Covariates"}
\format{
A data frame with 1752 rows and 38 variables:
\describe{
\item{time}{chr: year from 1950-2022}
\item{CAR_CODE}{num: 1-4}
\item{CAR}{chr: Southern, Western, Central, Eastern Ontario}
\item{CD_CODE}{num}
\item{CD}{chr: 24 subregions}
\item{ID}{chr}
\item{lat}{num: latitude}
\item{lon}{num: longitude}
\item{yield}{num: wheat crop yield per census division, in bushel/acre}
\item{cdd}{num: Annual maximum number of consecutive days with daily precipitation below 1mm (unit = days)}
\item{cddcold_18}{num: Annual cooling degree days above 18C (unit = degree_days)}
\item{dlyfrzthw_tx0_tn}{num: Annual number of days with a diurnal freeze-thaw cycle : tmax > 0 degc and tmin <= -1 degc}
\item{first_fall_frost}{num: First day of year with temperature below 0 degc for at least 1 days}
\item{frost_days}{num: Annual number of days with minimum daily temperature below 0C}
\item{ice_days}{num: Annual number of days with maximum daily temperature below 0 degC}
\item{nr_cdd}{num: The annual number of dry periods of 6 days and more, during which the maximal precipitation on a window of 6 days is under 1.0 mm}
\item{prcptot}{num: Annual total precipitation (unit = mm)}
\item{r1mm}{num: Annual number of days with daily precipitation over 1.0 mm/day}
\item{r10mm}{num: Annual number of days with daily precipitation over 10.0 mm/day}
\item{r20mm}{num: Annual number of days with daily precipitation over 20.0 mm/day}
\item{rx1day}{num: Annual maximum 1-day total precipitation (unit = mm)}
\item{rx5day}{num: Annual maximum 5-day total precipitation (unit = mm)}
\item{tg_mean}{num: Annual mean of daily mean temperatures  (unit = C degrees)}
\item{tn_mean}{num: Annual mean of daily minimum temperatures (unit = C degrees)}
\item{tn_min}{num: Annual minimum of daily minimum temperatures (unit = C degrees)}
\item{tnlt_-15}{num: Annual number of days where daily minimum temperature is below -15 degC}
\item{tnlt_-25}{num: Annual number of days where daily minimum temperature is below -25 degC}
\item{tr_18}{num: Annual number of tropical nights : defined as days with minimum daily temperature above 18 degc}
\item{tr_20}{num: Annual number of tropical nights : defined as days with minimum daily temperature above 20 degc}
\item{tr_22}{num: Annual number of tropical nights : defined as days with minimum daily temperature above 22 degc}
\item{tx_max}{num: Annual minimum of daily maximum temperature (unit = C degrees)}
\item{tx_mean}{num: Annual mean of daily maximum temperature (unit = C degrees)}
\item{txgt_25}{num: Annual number of days where daily maximum temperature exceeds 25 degC}
\item{txgt_27}{num: Annual number of days where daily maximum temperature exceeds 27 degC}
\item{txgt_29}{num: Annual number of days where daily maximum temperature exceeds 29 degC}
\item{txgt_30}{num: Annual number of days where daily maximum temperature exceeds 30 degC}
\item{txgt_32}{num: Annual number of days where daily maximum temperature exceeds 32 degC}
}
}
\source{
ClimateData.ca
}
\usage{
cropyields_covariates
}
\description{
Contains crop yields and climate indices data of 24 CD regions in Ontario from 1950 to 2022
}
\keyword{datasets}
