% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fit_bsts.R
\name{fit_bsts}
\alias{fit_bsts}
\title{Fit a Bayesian Structural Time Series (BSTS) Model}
\usage{
fit_bsts(y, z, lags = 0, MCMC.iter = 5000)
}
\arguments{
\item{y}{A numeric vector (time series response variable).}

\item{z}{A numeric vector or matrix (covariates).}

\item{lags}{Integer, number of lags for the autoregressive component.}

\item{MCMC.iter}{Integer, number of MCMC iterations.}
}
\value{
A fitted BSTS model.
}
\description{
Fits a BSTS model for a time series y, given a vector or matrix of covariates z.
}
