% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot_forecast.R
\name{plot_forecast}
\alias{plot_forecast}
\title{Plot Observed Data and BSTS Forecast}
\usage{
plot_forecast(
  forecast,
  data_train,
  data_test,
  time,
  quant_high,
  quant_low,
  observed_col,
  forecast_col,
  title
)
}
\arguments{
\item{forecast}{A matrix of BSTS forecast samples.}

\item{data_train}{Numeric vector, training data.}

\item{data_test}{Numeric vector, test data.}

\item{time}{Numeric vector, representing time indices.}

\item{quant_high}{Numeric, upper quantile for confidence interval.}

\item{quant_low}{Numeric, lower quantile for confidence interval.}

\item{observed_col}{Character, color for observed data.}

\item{forecast_col}{Character, color for forecasted data.}

\item{title}{Character, title of the plot.}
}
\value{
A ggplot2 object.
}
\description{
Creates a plot of observed data, forecasted values, and confidence intervals.
}
